osmo_scu_prim Struct Reference

`#include <sccp_sap.h>`

## Data Fields

struct osmo_prim_hdr | oph
union {
struct osmo_scu_connect_param connect
struct osmo_scu_data_param data
struct osmo_scu_disconn_param disconnect
struct osmo_scu_reset_param reset
struct osmo_scu_unitdata_param unitdata
struct osmo_scu_notice_param notice
} | u

## Field Documentation

## connect

struct osmo_scu_connect_param osmo_scu_prim::connect

Referenced by osmo_sccp_tx_conn_req(), osmo_sccp_tx_conn_resp_msg(), osmo_sccp_user_sap_down(), scoc_fsm_idle(), scu_gen_encode_and_send(), and scu_prim_conn_id().

## data

struct osmo_scu_data_param osmo_scu_prim::data

Referenced by osmo_sccp_tx_data(), scu_gen_encode_and_send(), and scu_prim_conn_id().

## disconnect

struct osmo_scu_disconn_param osmo_scu_prim::disconnect

Referenced by osmo_sccp_tx_disconn(), scoc_fsm_conn_pend_out(), scu_gen_encode_and_send(), scu_prim_conn_id(), and xua_gen_msg_co().

## notice

struct osmo_scu_notice_param osmo_scu_prim::notice

Referenced by sclc_rx_cldr().

## oph

struct osmo_prim_hdr osmo_scu_prim::oph

Referenced by osmo_sccp_tx_conn_req(), osmo_sccp_tx_conn_resp_msg(), osmo_sccp_tx_data(), osmo_sccp_tx_disconn(), osmo_sccp_tx_unitdata(), osmo_sccp_user_sap_down(), sccp_sclc_user_sap_down(), sccp_user_prim_up(), sclc_rx_cldr(), sclc_rx_cldt(), scu_gen_encode_and_send(), scu_prim_alloc(), scu_prim_conn_id(), xua_gen_msg_cl(), xua_gen_msg_co(), and xua_gen_relre().

## reset

struct osmo_scu_reset_param osmo_scu_prim::reset

Referenced by scu_prim_conn_id().

## u

union { ... } osmo_scu_prim::u

Referenced by osmo_sccp_tx_conn_req(), osmo_sccp_tx_conn_resp_msg(), osmo_sccp_tx_data(), osmo_sccp_tx_disconn(), osmo_sccp_tx_unitdata(), osmo_sccp_user_sap_down(), sclc_rx_cldr(), sclc_rx_cldt(), scoc_fsm_conn_pend_out(), scoc_fsm_idle(), scu_gen_encode_and_send(), scu_prim_conn_id(), xua_gen_msg_cl(), and xua_gen_msg_co().

## unitdata

struct osmo_scu_unitdata_param osmo_scu_prim::unitdata

Referenced by osmo_sccp_tx_unitdata(), sclc_rx_cldt(), and xua_gen_msg_cl().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/sccp_sap.h